Subject: Re: bug#63062: 29.0.90; configure.ac : what's different `--with-native-compilation=aot' and `--with-native-compilation=yes' ?

From: xiliuya <[email-masked]>
Date: Tue, 25 Apr 2023 18:31:41 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 25 Apr 2023 12:44:19 +0800
>> From:  xiliuya via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> When I compiled the packages in the same system environment using the
>> '--with-native-compilation=aot' and the '--with-native-compilation=yes'
>> respectively, file lists differ only by a few `.ELN'
>> 
>> For example, 'lisp/avoid.el' is only compiled to '.elc', does not compile all
>> Lisp files as '.eln'.
>
> I seem to be unable to reproduce this.  I see all the *.el files
> compiled to *.eln under this option.
>
> Where (in which sub-directory of the build tree) did you look for the
> *.eln files you expected to be produced by the build?  Also, if you
> try this in a freshly-cloned repository, does it work then?

Hello,Eli Zaretskii:

Sorry for the late reply.

I tried compiling many times to find the
problem.  I tested it at archlinux.

This is because I didn't clean up the files generated by the last
compilation. I am very sorry for the wrong question.

-- 
xiliuya :)